Xapian: API Documentation: Xapian::ESet Class Reference

Public Member Functions | List of all members
Xapian::ESet Class Reference

Class representing a list of search results. More...

## Public Member Functions
| ESet (const ESet &o)
| Copying is allowed. More...
ESet & | operator= (const ESet &o)
| Copying is allowed. More...
| ESet ()
| Default constructor. More...
| ~ESet ()
| Destructor.
Xapian::doccount | size () const
| Return number of items in this ESet object. More...
bool | empty () const
| Return true if this ESet object is empty. More...
Xapian::termcount | get_ebound () const
| Return a bound on the full size of this ESet object. More...
void | swap (ESet &o)
| Efficiently swap this ESet object with another. More...
ESetIterator | begin () const
| Return iterator pointing to the first item in this ESet. More...
ESetIterator | end () const
| Return iterator pointing to just after the last item in this ESet. More...
ESetIterator | operator[] (Xapian::doccount i) const
| Return iterator pointing to the i-th object in this ESet. More...
ESetIterator | back () const
| Return iterator pointing to the last object in this ESet. More...
std::string | get_description () const
| Return a string describing this object.
Xapian::doccount | max_size () const

## Detailed Description

Class representing a list of search results.

## Constructor & Destructor Documentation

## ◆ ESet() [1/2]

Xapian::ESet::ESet | ( | const ESet & | o | ) |

Copying is allowed.

The internals are reference counted, so copying is cheap.

## ◆ ESet() [2/2]

Xapian::ESet::ESet | ( |  | ) |

Default constructor.

Creates an empty ESet, mostly useful as a placeholder.

## Member Function Documentation

## ◆ back()

ESetIterator Xapian::ESet::back | ( |  | ) | const
| inline

Return iterator pointing to the last object in this ESet.

## ◆ begin()

ESetIterator Xapian::ESet::begin | ( |  | ) | const
| inline

Return iterator pointing to the first item in this ESet.

## ◆ empty()

bool Xapian::ESet::empty | ( |  | ) | const
| inline

Return true if this ESet object is empty.

## ◆ end()

ESetIterator Xapian::ESet::end | ( |  | ) | const
| inline

Return iterator pointing to just after the last item in this ESet.

## ◆ get_ebound()

Xapian::termcount Xapian::ESet::get_ebound | ( |  | ) | const

Return a bound on the full size of this ESet object.

This is a bound on size() if get_eset() had been called with maxitems set high enough that all results were returned.

## ◆ operator=()

ESet& Xapian::ESet::operator= | ( | const ESet & | o | ) |

Copying is allowed.

The internals are reference counted, so assignment is cheap.

## ◆ operator[]()

ESetIterator Xapian::ESet::operator[] | ( | Xapian::doccount | i | ) | const
| inline

Return iterator pointing to the i-th object in this ESet.

## ◆ size()

Xapian::doccount Xapian::ESet::size | ( |  | ) | const

Return number of items in this ESet object.

## ◆ swap()

void Xapian::ESet::swap | ( | ESet & | o | ) |
| inline

Efficiently swap this ESet object with another.

The documentation for this class was generated from the following file:

- xapian/eset.h